/2025-10/retail-media/categories
curl --request GET \
--url https://api.criteo.com/2025-10/retail-media/categories \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.criteo.com/2025-10/retail-media/categories"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.criteo.com/2025-10/retail-media/categories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"name": "<string>",
"parentId": "<string>",
"text": "<string>"
},
"id": "<string>",
"type": "<string>"
}
],
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>",
"type": "unknown"
}
]
}/2025-10/retail-media/categories
Endpoint to search categories by text and retailer.
GET
/
2025-10
/
retail-media
/
categories
/2025-10/retail-media/categories
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The start position in the overall list of matches. Must be zero or greater.
Required range:
0 <= x <= 500The maximum number of results to return with each call. Must be greater than zero.
Required range:
1 <= x <= 100The retailer id for which Categories fetched
Query string to search across Categories
Was this page helpful?